Bug 800066 - mwlib: denial of service when parsing #iferror magic functions [fedora-all]
mwlib: denial of service when parsing #iferror magic functions [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-mwlib (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-1109
  Show dependency treegraph
 
Reported: 2012-03-05 12:03 EST by Vincent Danen
Modified: 2012-03-17 19:41 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-mwlib-0.13.5-1.fc16
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-11 13:03:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-03-05 12:03:42 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=800064

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2012-03-05 12:04:33 EST
*** Bug 798615 has been marked as a duplicate of this bug. ***
Comment 2 Fedora Update System 2012-03-05 15:35:42 EST
python-mwlib-0.13.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-mwlib-0.13.5-1.fc16
Comment 3 Fedora Update System 2012-03-05 15:35:55 EST
python-mwlib-0.13.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-mwlib-0.13.5-1.fc17
Comment 4 Fedora Update System 2012-03-06 14:23:50 EST
Package python-mwlib-0.13.5-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-mwlib-0.13.5-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2994/python-mwlib-0.13.5-1.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-03-11 13:03:08 EDT
python-mwlib-0.13.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-03-17 19:41:47 EDT
python-mwlib-0.13.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.